[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#520872: libcdk5: Please package new upstream version 5.0.20090215

Package: libcdk5
Version: 5.0.20060507-4
Followup-For: Bug #520872

Dear Maintainer,

I have just finished packaging libcdk5-5.0-20120323 for SprezzOS 2 (SprezzOS is
a derivative of Debian). I am not a DD, and thus can't take over the package
unless I'm made one, but you're welcome to take our patches and apply them to
bring Debian up to speed. Whatever works best.

The necessary changes include:

 - Adding a 5.0-20120323 entry to the Changelog
 - Removing obsoleted patches:
 - Updating the rules file with the following patch:

diff --git a/packaging/libcdk5/debian/rules b/packaging/libcdk5/debian/rules
index 6af16ec..4c5e5c5 100755
--- a/packaging/libcdk5/debian/rules
+++ b/packaging/libcdk5/debian/rules
@@ -74,7 +74,7 @@ install: build
        $(MAKE) installCDKSHLibrary prefix=$(CURDIR)/debian/tmp/usr
        mv debian/tmp/usr/doc/cdk debian/tmp/usr/share/doc/libcdk5-dev
        ln -s libcdk.so.5.0 debian/tmp/usr/lib/libcdk.so.5
-   rm debian/tmp/usr/share/doc/libcdk5-dev/{COPYING,INSTALL}
+ rm debian/tmp/usr/share/doc/cdk/{COPYING,INSTALL}

 # Build architecture-independent files here.

It'd really be nice if these could get applied. Thanks!

-- System Information:
Debian Release: 1 (von Neumann)
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 3.7.4 (SMP w/8 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages libcdk5 depends on:
ii  libc6        2.16-SprezzOS1
ii  libncurses5  5.9.20130126-SprezzOS1

libcdk5 recommends no packages.

libcdk5 suggests no packages.

-- no debconf information

Reply to: